
<a name="1.0.0-rc1"></a>
## [1.0.0-rc1](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta9...1.0.0-rc1) (2020-02-11)

### Pull Requests

* Update CHANGELOG with beta9 release information ([#615](https://github.com/HotelsDotCom/styx/issues/615))
* Hardening of e2e tests ([#611](https://github.com/HotelsDotCom/styx/issues/611))
* Fix Http Message Logging Spec tests that created invalid cookies using the Styx API (no longer allowed) ([#610](https://github.com/HotelsDotCom/styx/issues/610))
* YamlFileConfigurationService: Fix a threading issue ([#608](https://github.com/HotelsDotCom/styx/issues/608))
* Add support for the SameSite cookie attribute (closes [#604](https://github.com/HotelsDotCom/styx/issues/604))  ([#607](https://github.com/HotelsDotCom/styx/issues/607))
* Fix for CVE-2020-6858: Improper Neutralization of CRLF Sequences in HTTP Headers ('HTTP Response Splitting')
* Bump checkstyle from 8.18 to 8.29 ([#603](https://github.com/HotelsDotCom/styx/issues/603))
* Improve Url API ([#597](https://github.com/HotelsDotCom/styx/issues/597))
* Deploy the version of the artifacts compiled with Jdk8 ([#601](https://github.com/HotelsDotCom/styx/issues/601))
* Release artifacts from Travis ([#594](https://github.com/HotelsDotCom/styx/issues/594))


<a name="styx-1.0.0.beta9"></a>
## [styx-1.0.0.beta9](https://github.com/HotelsDotCom/styx/compare/testtag...styx-1.0.0.beta9) (2020-01-30)

### Pull Requests

* Allow configuring the maximum header size of origin responses (issue [#598](https://github.com/HotelsDotCom/styx/issues/598)) ([#599](https://github.com/HotelsDotCom/styx/issues/599))
* Expose Styx/Netty proxy executor to the plugins. ([#596](https://github.com/HotelsDotCom/styx/issues/596))
* Add content compression support to StyxServer object ([#595](https://github.com/HotelsDotCom/styx/issues/595))
* remove rxJava ([#592](https://github.com/HotelsDotCom/styx/issues/592))
* Sanitize logged headers and cookies from Netty HTTP objects ([#590](https://github.com/HotelsDotCom/styx/issues/590))
* Add HttpServer object ([#591](https://github.com/HotelsDotCom/styx/issues/591))
* Styx server object support. ([#589](https://github.com/HotelsDotCom/styx/issues/589))
* Inject Netty executors into Styx Core. ([#583](https://github.com/HotelsDotCom/styx/issues/583))
* Update license header ([#587](https://github.com/HotelsDotCom/styx/issues/587))
* Docker build image: Add git bash completion ([#586](https://github.com/HotelsDotCom/styx/issues/586))
* Support compiling the project with Java 11. ([#585](https://github.com/HotelsDotCom/styx/issues/585))
* replaced rxjava with reactor ([#570](https://github.com/HotelsDotCom/styx/issues/570))
* Remove obsolete animal sniffer maven plugin. ([#584](https://github.com/HotelsDotCom/styx/issues/584))
* Refactor ProviderObjectRecord ([#582](https://github.com/HotelsDotCom/styx/issues/582))
* Remove ProxyServerBuilder class. ([#581](https://github.com/HotelsDotCom/styx/issues/581))
* Remove Guava ServiceManager from NettyServer. ([#580](https://github.com/HotelsDotCom/styx/issues/580))
* Reinstate time-to-first-byte-ms metric. ([#575](https://github.com/HotelsDotCom/styx/issues/575))
* Re-register provider endpoints with admin interface after updates ([#572](https://github.com/HotelsDotCom/styx/issues/572))
* Do not show an empty list of disabled plugins. ([#576](https://github.com/HotelsDotCom/styx/issues/576))
* speed up kotlin integration tests by reusing the JVM fork. ([#579](https://github.com/HotelsDotCom/styx/issues/579))
* Remove RxJava - Part 9: ConfigStore ([#571](https://github.com/HotelsDotCom/styx/issues/571))
* Replace rxjava with reactor: OriginsCommandHandler ([#569](https://github.com/HotelsDotCom/styx/issues/569))
* Fix case where a Empty set-cookie headers causes NPE ([#574](https://github.com/HotelsDotCom/styx/issues/574))
* Accept a comma-separated string as a HttpInterceptorPipeline "pipeline" attribute. ([#567](https://github.com/HotelsDotCom/styx/issues/567))
* Remove RxJava ([#565](https://github.com/HotelsDotCom/styx/issues/565))
* Remove RxJava ([#564](https://github.com/HotelsDotCom/styx/issues/564))
* Add an event for headers complete ([#557](https://github.com/HotelsDotCom/styx/issues/557))
* Refactor http servers ([#554](https://github.com/HotelsDotCom/styx/issues/554))
* Add support for compression of responses ([#563](https://github.com/HotelsDotCom/styx/issues/563))
* StaticResponseHandler: Convert a null body to an empty response string. ([#566](https://github.com/HotelsDotCom/styx/issues/566))
* Improve test logging. ([#562](https://github.com/HotelsDotCom/styx/issues/562))
* Fix origin reactivation logic for admin interface ([#561](https://github.com/HotelsDotCom/styx/issues/561))
* Provider endpoint admin page ([#553](https://github.com/HotelsDotCom/styx/issues/553))
* replace rxjava for response body content ([#552](https://github.com/HotelsDotCom/styx/issues/552))
* Cut back excessive logging. ([#559](https://github.com/HotelsDotCom/styx/issues/559))
* Re-enable epoll. ([#556](https://github.com/HotelsDotCom/styx/issues/556))
* replace rx subscriber with reactor subscriber ([#548](https://github.com/HotelsDotCom/styx/issues/548))
* Add close() method to connectionPool so connections are closed when origins are reloaded ([#551](https://github.com/HotelsDotCom/styx/issues/551))
* Common tags ([#549](https://github.com/HotelsDotCom/styx/issues/549))
* Fixes Issue: [#536](https://github.com/HotelsDotCom/styx/issues/536): Duplicated origin ID in metrics name ([#545](https://github.com/HotelsDotCom/styx/issues/545))
* Add clue to intermittently failing test assertion. ([#543](https://github.com/HotelsDotCom/styx/issues/543))
* Administrative state for routing objects ([#523](https://github.com/HotelsDotCom/styx/issues/523))
* Replace rxjava with reactor ([#541](https://github.com/HotelsDotCom/styx/issues/541))
* Issue [#535](https://github.com/HotelsDotCom/styx/issues/535): Add admin endpoint for uptime ([#539](https://github.com/HotelsDotCom/styx/issues/539))
* Build Styx Docker image using fabric8 docker maven plugin  ([#542](https://github.com/HotelsDotCom/styx/issues/542))
* Fix issue: [#525](https://github.com/HotelsDotCom/styx/issues/525): A race condition in styx object store. ([#537](https://github.com/HotelsDotCom/styx/issues/537))
* fixed to run both java and kotlin tests together ([#540](https://github.com/HotelsDotCom/styx/issues/540))


<a name="styx-1.0.0.beta8"></a>
## [styx-1.0.0.beta8](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta7...styx-1.0.0.beta8) (2019-11-25)

### Pull Requests

* Reduce exception construction ([#538](https://github.com/HotelsDotCom/styx/issues/538))


<a name="styx-1.0.0.beta7"></a>
## [styx-1.0.0.beta7](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta6...styx-1.0.0.beta7) (2019-11-22)

### Pull Requests

* Don't deploy styx-api-testsupport jars, nor styx-support pom. ([#534](https://github.com/HotelsDotCom/styx/issues/534))
* Common test result reporter for Styx Kotlin projects. ([#533](https://github.com/HotelsDotCom/styx/issues/533))
* Add informational message at the end of health checks. ([#532](https://github.com/HotelsDotCom/styx/issues/532))
* General tidy up no functional change ([#530](https://github.com/HotelsDotCom/styx/issues/530))
* YamlConfigurationService: Reject origins file if it introduces name clashes. ([#531](https://github.com/HotelsDotCom/styx/issues/531))
* Issue 526: Fix intermittently failing Kotlin tests. ([#528](https://github.com/HotelsDotCom/styx/issues/528))
* Origins dashboard ([#503](https://github.com/HotelsDotCom/styx/issues/503))
* Dependabot/maven/jackson.version 2.10.1 ([#527](https://github.com/HotelsDotCom/styx/issues/527))
* Prefix load balancing group tag with "lbGroup=". ([#522](https://github.com/HotelsDotCom/styx/issues/522))
* Issue 519: Support multiple YamlConfigurationSercvices ([#521](https://github.com/HotelsDotCom/styx/issues/521))
* Expose origins config file in admin interface ([#520](https://github.com/HotelsDotCom/styx/issues/520))
* Expose provider admin interface ([#515](https://github.com/HotelsDotCom/styx/issues/515))
* Remove TestNG and replace with junit 5 ([#514](https://github.com/HotelsDotCom/styx/issues/514))
* Fix kotlin unit tests ([#513](https://github.com/HotelsDotCom/styx/issues/513))
* GitHubIssue[#495](https://github.com/HotelsDotCom/styx/issues/495) - Ensure all HostProxy objects are tagged active or inactive ([#510](https://github.com/HotelsDotCom/styx/issues/510))


<a name="styx-1.0.0.beta6"></a>
## [styx-1.0.0.beta6](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta5...styx-1.0.0.beta6) (2019-11-06)

### Pull Requests

* Provide httpResponse to the whenCompleted event ([#507](https://github.com/HotelsDotCom/styx/issues/507))
* Use the smaller jar netty to reduce both size and conflicts with other netty projects ([#508](https://github.com/HotelsDotCom/styx/issues/508))
* Expose styx service providers in admin interface ([#505](https://github.com/HotelsDotCom/styx/issues/505))
* GitHub[#486](https://github.com/HotelsDotCom/styx/issues/486) - Fix connection pool leaks ([#504](https://github.com/HotelsDotCom/styx/issues/504))
* Upgrade to Mockito 3 ([#509](https://github.com/HotelsDotCom/styx/issues/509))
* Docker image to build Styx project ([#500](https://github.com/HotelsDotCom/styx/issues/500))
* Styx docker environment: add NGINX origins ([#499](https://github.com/HotelsDotCom/styx/issues/499))
* Disable "TLS Settings modifications" functional test ([#502](https://github.com/HotelsDotCom/styx/issues/502))
* Fix metrics in new routing model ([#489](https://github.com/HotelsDotCom/styx/issues/489))
* Improve make docker-image ([#493](https://github.com/HotelsDotCom/styx/issues/493))
* Expose styx logs in system test env as docker volme ([#491](https://github.com/HotelsDotCom/styx/issues/491))
* Always enable a check for empty HTTP content. ([#488](https://github.com/HotelsDotCom/styx/issues/488))
* Update to Netty 4.1.42.Final. ([#484](https://github.com/HotelsDotCom/styx/issues/484))
* Avoid creating transient objects when origin file is reloaded ([#483](https://github.com/HotelsDotCom/styx/issues/483))
* Improve test result reporting in Styx functional test suite. ([#485](https://github.com/HotelsDotCom/styx/issues/485))
* Set the number of threads for the GlobalHttpClient to 2 in HostProxySpec. ([#482](https://github.com/HotelsDotCom/styx/issues/482))
* Remove use of hamcrest in production (non-test) code. ([#480](https://github.com/HotelsDotCom/styx/issues/480))
* Update fasterxml to 2.9.10. ([#477](https://github.com/HotelsDotCom/styx/issues/477))
* Rename test plugins & docker environment ([#476](https://github.com/HotelsDotCom/styx/issues/476))
* Resolve tech debt in functional tests. ([#473](https://github.com/HotelsDotCom/styx/issues/473))
* Issue 466: Expose plugins for HttpInterceptorPipeline ([#475](https://github.com/HotelsDotCom/styx/issues/475))
* Make admin interfaces streamable ([#474](https://github.com/HotelsDotCom/styx/issues/474))
* Support remote debugging in Styx docker environment. ([#470](https://github.com/HotelsDotCom/styx/issues/470))
* Fix ineffective HTTP initial line length attribute. ([#472](https://github.com/HotelsDotCom/styx/issues/472))
* Update metrics documentation. ([#469](https://github.com/HotelsDotCom/styx/issues/469))
* Updated changelog and fixed toxiproxy docs ([#468](https://github.com/HotelsDotCom/styx/issues/468))
* Update changelog as per 1.0.0.beta4 release. ([#467](https://github.com/HotelsDotCom/styx/issues/467))
* Remove test code dependent on the Sun NameService SPI (removed in Java 9) ([#463](https://github.com/HotelsDotCom/styx/issues/463))
* Plugin developer documentation updated to show how to use `aggregate()` to read the whole body into memory. ([#465](https://github.com/HotelsDotCom/styx/issues/465))
* Fix issue [#428](https://github.com/HotelsDotCom/styx/issues/428): Removing Unused properties in Server config ([#464](https://github.com/HotelsDotCom/styx/issues/464))
* Backwards compatibility mode for Styx origins configuration file ([#458](https://github.com/HotelsDotCom/styx/issues/458))


<a name="styx-1.0.0.beta5"></a>
## [styx-1.0.0.beta5](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta4...styx-1.0.0.beta5) (2019-10-03)

### Pull Requests

* GitHub[#454](https://github.com/HotelsDotCom/styx/issues/454) Sanitise HTTP message logs ([#457](https://github.com/HotelsDotCom/styx/issues/457))
* Fix issue [#461](https://github.com/HotelsDotCom/styx/issues/461), incorrect information in docs/developer-guide.md. ([#462](https://github.com/HotelsDotCom/styx/issues/462))
* Fix issues in Docker/Toxiproxy environment: ([#460](https://github.com/HotelsDotCom/styx/issues/460))
* Update config validation for "valueFormat" field ([#459](https://github.com/HotelsDotCom/styx/issues/459))
* Optimise response event listener ([#455](https://github.com/HotelsDotCom/styx/issues/455))
* Update jackson-databind versions ([#453](https://github.com/HotelsDotCom/styx/issues/453))
* Move issue template to ./github dir. ([#450](https://github.com/HotelsDotCom/styx/issues/450))


<a name="styx-1.0.0.beta4"></a>
## [styx-1.0.0.beta4](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta3...styx-1.0.0.beta4) (2019-09-04)

### Pull Requests

* Improve Styx data plane. ([#451](https://github.com/HotelsDotCom/styx/issues/451))
* Configure Travis CI to compile the project and run the tests using Trusty 'Java' (specifying the JDK version was failing) ([#452](https://github.com/HotelsDotCom/styx/issues/452))
* Update version of jackson-databind to 2.9.9.1 to fix vulnerability ([#448](https://github.com/HotelsDotCom/styx/issues/448))
* Close a TCP connection when indicated by Connection: Close header. ([#447](https://github.com/HotelsDotCom/styx/issues/447))
* Health check monitor service ([#438](https://github.com/HotelsDotCom/styx/issues/438))
* Preregister styx errors metric ([#445](https://github.com/HotelsDotCom/styx/issues/445))
* Print config invalid error, add testing ([#444](https://github.com/HotelsDotCom/styx/issues/444))
* Configurable docker base image version. ([#443](https://github.com/HotelsDotCom/styx/issues/443))
* Fix TimeoutSpec. ([#442](https://github.com/HotelsDotCom/styx/issues/442))
* Do not deploy plugin-examples dependency ([#441](https://github.com/HotelsDotCom/styx/issues/441))
* Add plugin examples to Styx ([#432](https://github.com/HotelsDotCom/styx/issues/432))
* Config validation on programmatic start ([#435](https://github.com/HotelsDotCom/styx/issues/435))
* Make the services.factories.backendServiceRegistry config optional. ([#440](https://github.com/HotelsDotCom/styx/issues/440))
* Load Balancing Group routing object ([#429](https://github.com/HotelsDotCom/styx/issues/429))
* Fix connection pool error. ([#437](https://github.com/HotelsDotCom/styx/issues/437))
* Add a connection pool metric for connections in establishment. ([#436](https://github.com/HotelsDotCom/styx/issues/436))
* Update config documentation ([#426](https://github.com/HotelsDotCom/styx/issues/426))
* Add HostProxy routing object ([#423](https://github.com/HotelsDotCom/styx/issues/423))
* Modify server config to follow validator schema ([#425](https://github.com/HotelsDotCom/styx/issues/425))
* Enable config validator by default ([#422](https://github.com/HotelsDotCom/styx/issues/422))
* Fix client thread leak after origin reload. ([#421](https://github.com/HotelsDotCom/styx/issues/421))
* Add WebServiceHandler interface. ([#416](https://github.com/HotelsDotCom/styx/issues/416))
* Fix a connection pool error. ([#419](https://github.com/HotelsDotCom/styx/issues/419))
* Routing object lifecycle management ([#418](https://github.com/HotelsDotCom/styx/issues/418))
* Update jackson version ([#417](https://github.com/HotelsDotCom/styx/issues/417))
* Make all origin metrics relative to the scope they are used. ([#414](https://github.com/HotelsDotCom/styx/issues/414))
* Adds a path prefix routing object. ([#412](https://github.com/HotelsDotCom/styx/issues/412))
* Fix advanced routing config document. ([#415](https://github.com/HotelsDotCom/styx/issues/415))
* Move version files property into user defined ([#411](https://github.com/HotelsDotCom/styx/issues/411))
* Include server name indication (SNI) in outgoing TLS connections. ([#409](https://github.com/HotelsDotCom/styx/issues/409))
* Open a RESTful API for Styx Object Store ([#406](https://github.com/HotelsDotCom/styx/issues/406))
* Fix Kotlin source directory for styx-proxy module ([#405](https://github.com/HotelsDotCom/styx/issues/405))
* Add insert, remove, and watch functionality to Object Store ([#404](https://github.com/HotelsDotCom/styx/issues/404))
* Validate http routing object configuration. ([#403](https://github.com/HotelsDotCom/styx/issues/403))
* Add cut-down route object database ([#398](https://github.com/HotelsDotCom/styx/issues/398))
* Use 'maxdepth' instead of 'depth' in find command to avoid compatibility issues. ([#400](https://github.com/HotelsDotCom/styx/issues/400))
* Fix kotlin test sources ([#397](https://github.com/HotelsDotCom/styx/issues/397))
* Deprecate Scala e2e suite ([#396](https://github.com/HotelsDotCom/styx/issues/396))
* Update Jackson dependencies ([#395](https://github.com/HotelsDotCom/styx/issues/395))
* Use Kotlintest for unit-testing styx routing objects ([#394](https://github.com/HotelsDotCom/styx/issues/394))
* Fix URL parsing issue [#391](https://github.com/HotelsDotCom/styx/issues/391) ([#393](https://github.com/HotelsDotCom/styx/issues/393))
* Makefile: Add STYX_LINUX_ARTIFACT variable. ([#392](https://github.com/HotelsDotCom/styx/issues/392))
* Service cleanup ([#390](https://github.com/HotelsDotCom/styx/issues/390))
* Make small fixes ([#389](https://github.com/HotelsDotCom/styx/issues/389))
* Upgrade checkstyle to version 8.18 and maven-checkstyle plugin to 3.0.0. ([#387](https://github.com/HotelsDotCom/styx/issues/387))
* Improve Styx Dockerfile ([#381](https://github.com/HotelsDotCom/styx/issues/381))
* Correct javadoc for PowerOfTwoStrategy. ([#380](https://github.com/HotelsDotCom/styx/issues/380))
* Create a docker image from an official Styx release. ([#366](https://github.com/HotelsDotCom/styx/issues/366))
* Body passed in to LiveHttpRequest builder wasn't being used ([#379](https://github.com/HotelsDotCom/styx/issues/379))
* Refactor plugin loading ([#378](https://github.com/HotelsDotCom/styx/issues/378))
* Improve log message on plugin load fail/Decouple failure handling from task execution ([#373](https://github.com/HotelsDotCom/styx/issues/373))
* Update dropwizard metrics to version 4.0.5 ([#371](https://github.com/HotelsDotCom/styx/issues/371))
* Update dropwizard version ([#370](https://github.com/HotelsDotCom/styx/issues/370))
* Update jackson-databind version ([#369](https://github.com/HotelsDotCom/styx/issues/369))
* Total connections should stay positive ([#360](https://github.com/HotelsDotCom/styx/issues/360))
* Fix inaccurate dependency declarations. ([#365](https://github.com/HotelsDotCom/styx/issues/365))
* Toxi-proxy container network documentation improvements. ([#364](https://github.com/HotelsDotCom/styx/issues/364))
* Don't deploy unnecessary modules ([#363](https://github.com/HotelsDotCom/styx/issues/363))
* Adapt Version metric to a more flexible pattern  ([#355](https://github.com/HotelsDotCom/styx/issues/355))
* Docker container test network with Toxi-Proxy ([#362](https://github.com/HotelsDotCom/styx/issues/362))
* Styx Docker file ([#361](https://github.com/HotelsDotCom/styx/issues/361))


<a name="styx-1.0.0.beta3"></a>
## [styx-1.0.0.beta3](https://github.com/HotelsDotCom/styx/compare/styx-styx-1.0.0.beta2...styx-1.0.0.beta3) (2018-12-17)

### Pull Requests

* Use Long to represent Content-Length size ([#357](https://github.com/HotelsDotCom/styx/issues/357))
* Fix downlink flow control ([#356](https://github.com/HotelsDotCom/styx/issues/356))
* Fix double counting of terminatedConnections metric ([#359](https://github.com/HotelsDotCom/styx/issues/359))
* StyxHttpClient: add support for live requests ([#353](https://github.com/HotelsDotCom/styx/issues/353))
* Version metric should be a string instead of an integer. ([#352](https://github.com/HotelsDotCom/styx/issues/352))
* ByteStream replacement in live HTTP response. ([#349](https://github.com/HotelsDotCom/styx/issues/349))
* Fix intermittently failing test. ([#350](https://github.com/HotelsDotCom/styx/issues/350))
* An API for setting a custom HTTP response status and phrase. ([#348](https://github.com/HotelsDotCom/styx/issues/348))
* Remove 'asCompletableFuture' method from Styx Eventual. ([#346](https://github.com/HotelsDotCom/styx/issues/346))
* Remove deprecated "request-logging.enabled" option. ([#347](https://github.com/HotelsDotCom/styx/issues/347))
* Remove git merge conflict markers from CHANGELOG ([#345](https://github.com/HotelsDotCom/styx/issues/345))
* Deprecate Rx.Java from Connection.Factory. ([#344](https://github.com/HotelsDotCom/styx/issues/344))
* Deprecate Rx.Java from ConnectionPool and its consumers ([#343](https://github.com/HotelsDotCom/styx/issues/343))
* Additional metrics ([#342](https://github.com/HotelsDotCom/styx/issues/342))
* Improve connection pool. ([#337](https://github.com/HotelsDotCom/styx/issues/337))
* Refactor: Simplify StyxHostHttpClient ([#339](https://github.com/HotelsDotCom/styx/issues/339))
* Add a feature flag to enable/disable request tracking feature. ([#341](https://github.com/HotelsDotCom/styx/issues/341))
* Remove singleton dependency from request tracker unit tests. ([#340](https://github.com/HotelsDotCom/styx/issues/340))
* Refactor StyxHostHttpClient ([#338](https://github.com/HotelsDotCom/styx/issues/338))
* Removes `ongoingResponse` from HttpPipelineHandler log messages.([#336](https://github.com/HotelsDotCom/styx/issues/336))
* Remove mutable state (connectionRef) from Transport class. ([#329](https://github.com/HotelsDotCom/styx/issues/329))
* Update CHANGELOG.md and increment pom versions to 1.0-SNAPSHOT ([#332](https://github.com/HotelsDotCom/styx/issues/332))


<a name="styx-styx-1.0.0.beta2"></a>
## [styx-styx-1.0.0.beta2](https://github.com/HotelsDotCom/styx/compare/styx-1.0.0.beta1...styx-styx-1.0.0.beta2) (2018-10-31)

### Pull Requests

* Add Transformer class for live HTTP objects ([#328](https://github.com/HotelsDotCom/styx/issues/328))
* Restrict visibility of ByteStream.aggregate ([#325](https://github.com/HotelsDotCom/styx/issues/325))
* Update plugins-scenarios.md to Styx 1.0 API ([#320](https://github.com/HotelsDotCom/styx/issues/320))
* Developer documentation: Update API overview to Styx 1.0. ([#319](https://github.com/HotelsDotCom/styx/issues/319))
* Backport to 0.7 - Reject requests using the CONNECT method ( Fixes [#312](https://github.com/HotelsDotCom/styx/issues/312)) ([#331](https://github.com/HotelsDotCom/styx/issues/331))
* Reject requests using the CONNECT method ( Fixes [#312](https://github.com/HotelsDotCom/styx/issues/312)) ([#327](https://github.com/HotelsDotCom/styx/issues/327))
* Add maven javadoc plugin ([#330](https://github.com/HotelsDotCom/styx/issues/330))
* Upgrade fasterxml version in plugin-examples ([#324](https://github.com/HotelsDotCom/styx/issues/324))
* Fix an incorrect perf test URL. ([#323](https://github.com/HotelsDotCom/styx/issues/323))
* Upgrade to a newer version of fasterxml ([#318](https://github.com/HotelsDotCom/styx/issues/318))


<a name="styx-1.0.0.beta1"></a>
## [styx-1.0.0.beta1](https://github.com/HotelsDotCom/styx/compare/styx-0.7.10...styx-1.0.0.beta1) (2018-10-26)

### Pull Requests

* Update example plugin to latest api ([#316](https://github.com/HotelsDotCom/styx/issues/316))
* Rename streaming messages ([#314](https://github.com/HotelsDotCom/styx/issues/314))
* Styx Eventual class for asynchronous events. ([#309](https://github.com/HotelsDotCom/styx/issues/309))
* Correct time output ([#313](https://github.com/HotelsDotCom/styx/issues/313))
* A ByteStream abstraction to represent streaming content. ([#298](https://github.com/HotelsDotCom/styx/issues/298))
* Fix incorrect round-robin strategy behaviour when there are no available hosts. ([#307](https://github.com/HotelsDotCom/styx/issues/307))
* Remove unused cancel() method from HttpTransaction and Transport classes. ([#305](https://github.com/HotelsDotCom/styx/issues/305))
* Fix incorrect changelog for 0.7.10 ([#303](https://github.com/HotelsDotCom/styx/issues/303))
* HttpResponseWriter: Log number of bytes written to socket ([#302](https://github.com/HotelsDotCom/styx/issues/302))
* Update CHANGELOG.md ([#301](https://github.com/HotelsDotCom/styx/issues/301))
* Lazily create expensive Optional default values. ([#295](https://github.com/HotelsDotCom/styx/issues/295))
* Use Optional.orElseGet to prevent constructing the Exception on each request ([#292](https://github.com/HotelsDotCom/styx/issues/292))
* Fix origins reload thread leak ([#290](https://github.com/HotelsDotCom/styx/issues/290))
* Improve styx client ([#288](https://github.com/HotelsDotCom/styx/issues/288))
* Update origin health-check metric name (fixes [#269](https://github.com/HotelsDotCom/styx/issues/269)) ([#289](https://github.com/HotelsDotCom/styx/issues/289))
* User guide: Fix a typo. ([#286](https://github.com/HotelsDotCom/styx/issues/286))
* Fix PluginErrorHandlingSpec ([#287](https://github.com/HotelsDotCom/styx/issues/287))
* Move Announcer from API to Styx-Common module ([#285](https://github.com/HotelsDotCom/styx/issues/285))
* End-to-end tests: fix leak threads. ([#283](https://github.com/HotelsDotCom/styx/issues/283))
* Remove client address ([#280](https://github.com/HotelsDotCom/styx/issues/280))
* Streamline Styx HTTP Client interfaces ([#282](https://github.com/HotelsDotCom/styx/issues/282))
* Fix DoubleSubscriptionPluginSpec for Styx 1.0 ([#281](https://github.com/HotelsDotCom/styx/issues/281))
* Log SSL handshake failures ([#278](https://github.com/HotelsDotCom/styx/issues/278))
* Update configure-origins.md ([#279](https://github.com/HotelsDotCom/styx/issues/279))
* Remove `isSecure` flag from the HTTP request classes. ([#277](https://github.com/HotelsDotCom/styx/issues/277))
* Add HttpInterceptor.Context to HttpRouter.route() API. ([#276](https://github.com/HotelsDotCom/styx/issues/276))
* Improve Javadocs for styx-api module ([#271](https://github.com/HotelsDotCom/styx/issues/271))
* Tidy up styx-api module for 1.0 release ([#272](https://github.com/HotelsDotCom/styx/issues/272))
* Fix compilation error in ExamplePluginTest.java. ([#273](https://github.com/HotelsDotCom/styx/issues/273))
* Injectable metricsRegistry for StyxServerComponents.Builder ([#263](https://github.com/HotelsDotCom/styx/issues/263))
* Tidy up styx-api module. ([#267](https://github.com/HotelsDotCom/styx/issues/267))
* Issue [#264](https://github.com/HotelsDotCom/styx/issues/264): Remove unnecessary calls to `freePort`. ([#265](https://github.com/HotelsDotCom/styx/issues/265))
* Remove HostAndPort from public API ([#247](https://github.com/HotelsDotCom/styx/issues/247))
* Removed unused method ([#241](https://github.com/HotelsDotCom/styx/issues/241))
* Changelog for releases up to styx 0.7.9 ([#260](https://github.com/HotelsDotCom/styx/issues/260))
* Add changelog for release 0.7.7 ([#238](https://github.com/HotelsDotCom/styx/issues/238)) ([#259](https://github.com/HotelsDotCom/styx/issues/259))
* Fixes [#222](https://github.com/HotelsDotCom/styx/issues/222): A memory leak in DashboardData. ([#224](https://github.com/HotelsDotCom/styx/issues/224)) ([#258](https://github.com/HotelsDotCom/styx/issues/258))
* Fix intermittently failing ChunkedDownloadSpec ([#256](https://github.com/HotelsDotCom/styx/issues/256))
* Update to Guava 18.0 ([#254](https://github.com/HotelsDotCom/styx/issues/254))
* README.md: Add short release note about Styx 1.0 API. ([#248](https://github.com/HotelsDotCom/styx/issues/248))
* Add 'filter' query parameter to metrics endpoint ([#221](https://github.com/HotelsDotCom/styx/issues/221)) ([#252](https://github.com/HotelsDotCom/styx/issues/252))
* Fix a small typo ([#239](https://github.com/HotelsDotCom/styx/issues/239))
* fix documentation, instructions for release download ([#233](https://github.com/HotelsDotCom/styx/issues/233))
* Add Styx logo in readme file ([#195](https://github.com/HotelsDotCom/styx/issues/195)) ([#251](https://github.com/HotelsDotCom/styx/issues/251))
* Fix styx 1.0 related documentation issues. ([#245](https://github.com/HotelsDotCom/styx/issues/245))
* Replaced all checkNotnull with requireNonNull ([#244](https://github.com/HotelsDotCom/styx/issues/244))
* Move metrics registry from styx-api module ([#242](https://github.com/HotelsDotCom/styx/issues/242))
* Simplify package structure for 1.0 styx-api module ([#240](https://github.com/HotelsDotCom/styx/issues/240))
* Remove dead code: applicationConfigurationMatcher ([#237](https://github.com/HotelsDotCom/styx/issues/237))
* Issue 183 remove admin endpoints ([#236](https://github.com/HotelsDotCom/styx/issues/236))
* Remove MediaType from public methods in API module ([#232](https://github.com/HotelsDotCom/styx/issues/232))
* Remove leaking Netty definition from HttpMessageSupport class. ([#231](https://github.com/HotelsDotCom/styx/issues/231))
* Tidy up cookies API ([#230](https://github.com/HotelsDotCom/styx/issues/230))
* Move api.io package to styx-common module. ([#229](https://github.com/HotelsDotCom/styx/issues/229))
* Move utility classes and HTTP handlers from styx-api to styx-common module. ([#226](https://github.com/HotelsDotCom/styx/issues/226))
* Remove SystemSettings & related classes from styx-api module. ([#225](https://github.com/HotelsDotCom/styx/issues/225))
* Migrate ConnectionPool related API classes to Styx Client module ([#223](https://github.com/HotelsDotCom/styx/issues/223))
* Added support for Kotlin ([#220](https://github.com/HotelsDotCom/styx/issues/220))
* Cookies 1.0 api ([#217](https://github.com/HotelsDotCom/styx/issues/217))
* Fix StyxObservable type parameters ([#219](https://github.com/HotelsDotCom/styx/issues/219))
* Add admin endpoint for querying specific metrics by name ([#206](https://github.com/HotelsDotCom/styx/issues/206)) ([#218](https://github.com/HotelsDotCom/styx/issues/218))
* Add new SENDING_RESPONSE_CLIENT_CLOSED state into HttpPipelineHandler FSM ([#214](https://github.com/HotelsDotCom/styx/issues/214)) ([#216](https://github.com/HotelsDotCom/styx/issues/216))
* Allow custom plugin loader injection ([#213](https://github.com/HotelsDotCom/styx/issues/213)) ([#215](https://github.com/HotelsDotCom/styx/issues/215))
* Use Connection.Settings in SimpleHttpClient ([#212](https://github.com/HotelsDotCom/styx/issues/212))
* Rename com.hotels.styx.api.netty package ([#211](https://github.com/HotelsDotCom/styx/issues/211))
* Fix issue [#199](https://github.com/HotelsDotCom/styx/issues/199): origins.ID.requests.cancelled metric. ([#209](https://github.com/HotelsDotCom/styx/issues/209)) ([#210](https://github.com/HotelsDotCom/styx/issues/210))
* New 1.0 API: Tidy up Address outstanding issues. ([#204](https://github.com/HotelsDotCom/styx/issues/204))
* Remove HttpRequest.Builder.body(String) method ([#205](https://github.com/HotelsDotCom/styx/issues/205))
* Tests for styx core observable ([#198](https://github.com/HotelsDotCom/styx/issues/198))
* Add config store ([#193](https://github.com/HotelsDotCom/styx/issues/193))
* Fix failing health checks to HTTPS/TLS origins. ([#191](https://github.com/HotelsDotCom/styx/issues/191))
* Remove unnecessary WARN log when SimpleHttpClient fails to connect to a remote peer. ([#190](https://github.com/HotelsDotCom/styx/issues/190))
* Cookie names should be treatead case-sensitively  ([#186](https://github.com/HotelsDotCom/styx/issues/186)) ([#189](https://github.com/HotelsDotCom/styx/issues/189))
* SimpleHttpClient: Use default HTTP/HTTPS ports ([#188](https://github.com/HotelsDotCom/styx/issues/188))
* Allow Styx Test API users to configure server ports. ([#187](https://github.com/HotelsDotCom/styx/issues/187))
* Allow plugin factories to be configured for styx test API server. ([#184](https://github.com/HotelsDotCom/styx/issues/184))
* Remove HttpClient interface from Styx API  ([#179](https://github.com/HotelsDotCom/styx/issues/179))
* Refactor Styx Client API consumers ([#178](https://github.com/HotelsDotCom/styx/issues/178))
* Expose HttpInterceptor.Context implementation via styx-test-api. ([#176](https://github.com/HotelsDotCom/styx/issues/176))
* Dev docs: update plugin interceptor examples. ([#173](https://github.com/HotelsDotCom/styx/issues/173))
* Use HttpServerCodec in Styx server Netty pipeline ([#175](https://github.com/HotelsDotCom/styx/issues/175))
* Updated example plugin to 1.0 API ([#172](https://github.com/HotelsDotCom/styx/issues/172))
* Add Styx API Overview page to the developer docs. ([#171](https://github.com/HotelsDotCom/styx/issues/171))
* Remove unused HttpMessage, HttpMessageBody, and HttpMessageBuilder classes. ([#170](https://github.com/HotelsDotCom/styx/issues/170))
* Rename message converters between full and streaming variants ([#169](https://github.com/HotelsDotCom/styx/issues/169))
* Add HttpInterceptorContext to styx-test-api. ([#168](https://github.com/HotelsDotCom/styx/issues/168))
* New interceptor and routing API for styx - Initial Commit - ([#166](https://github.com/HotelsDotCom/styx/issues/166))
