/*
  Copyright (C) 2013-2019 Expedia Inc.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.hotels.styx.server;

import com.hotels.styx.api.metrics.codahale.CodaHaleMetricRegistry;
import com.hotels.styx.api.MetricRegistry;

/**
 * ServerEnvironment providing a default metric registry of CodaHaleMetricRegistry.
 */
public final class ServerEnvironment {
    private final MetricRegistry metricRegistry;

    public ServerEnvironment() {
        this(new CodaHaleMetricRegistry());
    }

    public ServerEnvironment(MetricRegistry metricRegistry) {
        this.metricRegistry = metricRegistry;
    }

    public MetricRegistry metricRegistry() {
        return metricRegistry;
    }
}
